Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Interface ClassNameResolver

    public interface ClassNameResolver

Method Summary
`boolean` | `isExcluded(java.lang.String name)` Based on the execution context, should the class represented by "name" be excluded from consideration?
`boolean` | `shouldOverride(java.lang.String name)` Based on the execution context, if a duplicate class represented by "name" is detected, should the existing one be overridden or not?

Method Detail

### isExcluded

    boolean isExcluded(java.lang.String name)

  Based on the execution context, should the class represented by "name" be excluded from consideration?

  Parameters:
    `name` -
  Returns:
    true if classname is excluded

### shouldOverride

    boolean shouldOverride(java.lang.String name)

  Based on the execution context, if a duplicate class represented by "name" is detected, should the existing one be overridden or not?

  Parameters:
    `name` -
  Returns:
    true if name should be overridden

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.